# `HDF5_jll.jl` (v1.12.2+2)

[![deps](https://juliahub.com/docs/HDF5_jll/deps.svg)](https://juliahub.com/ui/Packages/HDF5_jll/w9xrx?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/86f01f3d8b89c113347aec7e51f8105cd5293be1/H/HDF5/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `HDF5_jll.jl` have been built from these sources:

* compressed archive: https://mirror.msys2.org/mingw/mingw32/mingw-w64-i686-hdf5-1.12.2-1-any.pkg.tar.zst (SHA256 checksum: `f37511b6208245b081a5b72a1f2021a73b67da07835ede1e092f7d7f20569319`)
* compressed archive: https://mirror.msys2.org/mingw/mingw32/mingw-w64-i686-libaec-1.0.6-2-any.pkg.tar.zst (SHA256 checksum: `c6cff1a6f8a9f75e986589d8debc35e8076a7af38aa32cbda78bb6c2fbbbe58c`)
* compressed archive: https://mirror.msys2.org/mingw/mingw32/mingw-w64-i686-zlib-1.2.12-1-any.pkg.tar.zst (SHA256 checksum: `74ace327d8e28cdb0c777fffc6003f5097836c247be40cf3b483bd9fd1c23183`)
* compressed archive: https://mirror.msys2.org/mingw/mingw32/mingw-w64-i686-gcc-libs-11.2.0-6-any.pkg.tar.zst (SHA256 checksum: `bdc359047f61c8e96401ba25b17c80f5f8039c25a063c622e3680123bb0de9d1`)
* compressed archive: https://mirror.msys2.org/mingw/mingw64/mingw-w64-x86_64-hdf5-1.12.2-1-any.pkg.tar.zst (SHA256 checksum: `3ba6521d45368aabb334131e10282b25fab9891a20fb9129d897c65c8b6cdbda`)
* compressed archive: https://mirror.msys2.org/mingw/mingw64/mingw-w64-x86_64-libaec-1.0.6-2-any.pkg.tar.zst (SHA256 checksum: `d970bd71e55fc5bd4a55e95ef22355d8c479631973860f2a9c37b49c931c5f35`)
* compressed archive: https://mirror.msys2.org/mingw/mingw64/mingw-w64-x86_64-zlib-1.2.12-1-any.pkg.tar.zst (SHA256 checksum: `e728df08b4db7b291a52d8fd60b96f19016f059ab15170fc98120e5d580c86ac`)
* compressed archive: https://anaconda.org/conda-forge/hdf5/1.12.1/download/linux-64/hdf5-1.12.1-nompi_h2750804_103.tar.bz2 (SHA256 checksum: `bd7bb0657d63acf52c9d30d1b89276356c6da4ff8a90dd5fcbd0cfde6578f317`)
* compressed archive: https://anaconda.org/conda-forge/hdf5/1.12.1/download/linux-aarch64/hdf5-1.12.1-nompi_h774d4d8_103.tar.bz2 (SHA256 checksum: `8688cfc983962bf7a59a97becb0d67ee64eb4a7dd5793b915cf50dccd90bfa2d`)
* compressed archive: https://anaconda.org/conda-forge/hdf5/1.12.1/download/osx-64/hdf5-1.12.1-nompi_h2f0ef1a_102.tar.bz2 (SHA256 checksum: `4a4640e44adea33833e7efb6ac3070dd4c80a8a156c2fd3aa7cfcac8865f5a26`)
* compressed archive: https://anaconda.org/conda-forge/hdf5/1.12.1/download/osx-arm64/hdf5-1.12.1-nompi_had0e5e0_103.tar.bz2 (SHA256 checksum: `ef48b684b22c6b0077bc9836e0cc6d15abb88868d7a6c842226666ebb8bbd449`)

## Platforms

`HDF5_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Windows i686` (`i686-w64-mingw32`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `HDF5_jll.jl`:

* [`LibCURL_jll`](https://github.com/JuliaBinaryWrappers/LibCURL_jll.jl)
* [`OpenSSL_jll`](https://github.com/JuliaBinaryWrappers/OpenSSL_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libhdf5`
* `LibraryProduct`: `libhdf5_hl`
